Bug 1866434 - ctest macro sets output-on-failure and verbose
Summary: ctest macro sets output-on-failure and verbose
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 14:41 UTC by Andreas Schneider
Modified: 2020-10-09 15:00 UTC (History)
8 users (show)

Fixed In Version: cmake-3.18.3-1.fc33 cmake-3.17.4-2.fc32 cmake-3.17.4-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-02 00:35:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Schneider 2020-08-05 14:41:52 UTC
Description of problem:

Currently the %ctest macro executs:

/usr/bin/ctest --output-on-failure --force-new-ctest-process -j8 --verbose

--output-on-failure prints out verbose debug output if a test fails. This should be the preferred options

--versbose overwrites --output-on-failure and forces to always enable verbose output for all tests.


You should only set one and --output-on-failure would be the preferred option at least by me.

Comment 1 Ben Cotton 2020-08-11 15:17:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Neal Gompa 2020-08-22 17:26:44 UTC
For what it's worth, this is why I set --output-on-failure originally instead of --verbose when I added the %ctest macro.

Comment 3 Christoph Junghans 2020-08-22 19:31:30 UTC
(In reply to Neal Gompa from comment #2)
> For what it's worth, this is why I set --output-on-failure originally
> instead of --verbose when I added the %ctest macro.

openSUSE has that behaviour as well.

Comment 4 Christoph Junghans 2020-09-29 16:33:32 UTC
https://src.fedoraproject.org/rpms/cmake/pull-request/8

Comment 5 Fedora Update System 2020-09-30 14:04:44 UTC
FEDORA-2020-4454524871 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4454524871

Comment 6 Fedora Update System 2020-09-30 14:05:31 UTC
FEDORA-2020-3dcb3abca1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3dcb3abca1

Comment 7 Fedora Update System 2020-09-30 14:05:33 UTC
FEDORA-2020-3c259a525a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3c259a525a

Comment 8 Fedora Update System 2020-10-01 01:18:45 UTC
FEDORA-2020-4454524871 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4454524871`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4454524871

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-01 01:29:37 UTC
FEDORA-2020-3c259a525a has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3c259a525a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3c259a525a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-01 02:15:22 UTC
FEDORA-2020-3dcb3abca1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3dcb3abca1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3dcb3abca1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-02 00:35:14 UTC
FEDORA-2020-4454524871 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-10-03 02:01:55 UTC
FEDORA-2020-3dcb3abca1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-10-09 15:00:35 UTC
FEDORA-2020-3c259a525a has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.